For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList LLMs
      • POSTCalculate expected LLM usage
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsLLM

List LLMs

GET
/v1/convai/llm/list
GET
/v1/convai/llm/list
$curl https://api.elevenlabs.io/v1/convai/llm/list
1{
2 "llms": [
3 {
4 "llm": "gemini-2.5-flash",
5 "is_checkpoint": false,
6 "max_tokens_limit": 8192,
7 "max_context_limit": 1048576,
8 "supports_image_input": true,
9 "supports_document_input": true,
10 "supports_parallel_tool_calls": true
11 }
12 ],
13 "default_deprecation_config": {
14 "warning_start_days": 30,
15 "fallback_start_days": 14,
16 "fallback_complete_days": 7,
17 "fallback_start_percentage": 25,
18 "fallback_complete_percentage": 100
19 }
20}

Returns a list of available LLM models that can be used with agents, including their capabilities and any deprecation status. The response is filtered based on the data residency of the deployment and any compliance requirements (e.g. HIPAA) of the workspace subscription.

Was this page helpful?
Previous

Calculate expected LLM usage

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
llmslist of objects
List of all available LLM models that can be used with agents.
default_deprecation_configobject
The default deprecation timing configuration used for models without a custom override.

Errors

422
Unprocessable Entity Error